Bug 107587 - Opening a Hyperlink from Writer does not make Webbrowser the topmost window.
Summary: Opening a Hyperlink from Writer does not make Webbrowser the topmost window.
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All Windows (All)
: medium normal
Assignee: thomas.beck
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: skillCpp, skillWindows
Depends on:
Blocks:
 
Reported: 2017-05-03 10:52 UTC by thomas.beck
Modified: 2017-07-13 09:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thomas.beck 2017-05-03 10:52:40 UTC
Description:
When opening a hyperlink or mailTo link in LibreOffice Writer by using Ctrl+Left click, the standard webbrowser or standard E-mailclient is opened in the background or just stays minimized, keeping Writer as topmost window.

In Windows, the browser/mailclient will always be opened in the background
In Linux, if the browser/mailclient has to be opened from scratch it will be opened in the backround, if it only was minimized it will come into the foreground though.

Problem still persists with version 5.2.6.2



Steps to Reproduce:
1. Open a Writer document or create a new one
2. Insert a Hyperlink or MailTo link
3. Ctrl + Left click the link

Actual Results:  
Browser/Mailclient opens in the background or stays minimized.

Expected Results:
Browser/Mailclient will be brought on top for immediate use.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36
Comment 1 Commit Notification 2017-05-04 21:53:45 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad711bc6e2cc35c2ed114fff15008d5bbcfcf21c

tdf#107587 Opening Hyperlink opens Browser in Background.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 thomas.beck 2017-05-09 09:59:05 UTC
Current fix worked for Google Chrome and Internet Explorer, Firefox however needs further investigation.
Comment 3 Commit Notification 2017-05-16 09:29:45 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45b2e11a6756ed322cda932142c31366fc2b6da6&h=libreoffice-5-3

tdf#107587 Opening Hyperlink opens Browser in Background.

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.